Package com.emc.d2fs.models.common

# Class DataHandler

java.lang.Object
com.emc.d2fs.models.common.DataHandler

All Implemented Interfaces:
  `Serializable`

public class DataHandler extends Object implements Serializable

Java class for dataHandler complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="dataHandler">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <attribute name="name" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="data" use="required" type="{http://www.w3.org/2001/XMLSchema}base64Binary" />
           <attribute name="dataString" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="mime" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
         </restriction>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DataHandler()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `byte[]`
  `getData()`
  Gets the value of the data property.
  `String`
  `getDataString()`
  Gets the value of the dataString property.
  `String`
  `getMime()`
  Gets the value of the mime property.
  `String`
  `getName()`
  Gets the value of the name property.
  `void`
  `setData(byte[] value)`
  Sets the value of the data property.
  `void`
  `setDataString(String value)`
  Sets the value of the dataString property.
  `void`
  `setMime(String value)`
  Sets the value of the mime property.
  `void`
  `setName(String value)`
  Sets the value of the name property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### DataHandler

    public DataHandler()

- ## Method Details

  - ### getName

    public String getName()
    Gets the value of the name property.
    Returns:
      possible object is `String`

  - ### setName

    public void setName(String value)
    Sets the value of the name property.
    Parameters:
      `value` - allowed object is `String`

  - ### getData

    public byte[] getData()
    Gets the value of the data property.
    Returns:
      possible object is byte[]

  - ### setData

    public void setData(byte[] value)
    Sets the value of the data property.
    Parameters:
      `value` - allowed object is byte[]

  - ### getDataString

    public String getDataString()
    Gets the value of the dataString property.
    Returns:
      possible object is `String`

  - ### setDataString

    public void setDataString(String value)
    Sets the value of the dataString property.
    Parameters:
      `value` - allowed object is `String`

  - ### getMime

    public String getMime()
    Gets the value of the mime property.
    Returns:
      possible object is `String`

  - ### setMime

    public void setMime(String value)
    Sets the value of the mime property.
    Parameters:
      `value` - allowed object is `String`